org.ajax4jsf.taglib.html.jsp

## Class LogTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.taglib.html.jsp.LogTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class LogTag
      extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setDir(javax.el.ValueExpression __dir)` Direction indication for text that does not inherit directionality.
    `void` | `setHeight(javax.el.ValueExpression __height)` Height of pop-up.
    `void` | `setHotkey(javax.el.ValueExpression __hotkey)` Keyboard key for activate ( in combination with CTRL+SHIFT ) log window.
    `void` | `setLang(javax.el.ValueExpression __lang)` Code describing the language used in the generated markup for this component Setter for lang
    `void` | `setLevel(javax.el.ValueExpression __level)` Log level.
    `void` | `setName(javax.el.ValueExpression __name)` Name of pop-up window.
    `void` | `setOnclick(javax.el.ValueExpression __onclick)` The clientside script method to be called when the element is clicked Setter for onclick
    `void` | `setOndblclick(javax.el.ValueExpression __ondblclick)` The client side script method to be called when the element is double-clicked Setter for ondblclick
    `void` | `setOnkeydown(javax.el.ValueExpression __onkeydown)` The client side script method to be called when a key is pressed down over the element Setter for onkeydown
    `void` | `setOnkeypress(javax.el.ValueExpression __onkeypress)` The client side script method to be called when a key is pressed over the element and released Setter for onkeypress
    `void` | `setOnkeyup(javax.el.ValueExpression __onkeyup)` The client side script method to be called when a key is released Setter for onkeyup
    `void` | `setOnmousedown(javax.el.ValueExpression __onmousedown)` The client side script method to be called when a mouse button is pressed down over the element Setter for onmousedown
    `void` | `setOnmousemove(javax.el.ValueExpression __onmousemove)` The client side script method to be called when a pointer is moved within the element Setter for onmousemove
    `void` | `setOnmouseout(javax.el.ValueExpression __onmouseout)` The client side script method to be called when a pointer is moved away from the element Setter for onmouseout
    `void` | `setOnmouseover(javax.el.ValueExpression __onmouseover)` The client side script method to be called when a pointer is moved onto the element Setter for onmouseover
    `void` | `setOnmouseup(javax.el.ValueExpression __onmouseup)` The client side script method to be called when a mouse button is released Setter for onmouseup
    `void` | `setPopup(javax.el.ValueExpression __popup)` Renders log as pop-up window or as div element on the page.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setStyle(javax.el.ValueExpression __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
    `void` | `setStyleClass(javax.el.ValueExpression __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
    `void` | `setTitle(javax.el.ValueExpression __title)` Advisory title information about markup elements generated for this component Setter for title
    `void` | `setWidth(javax.el.ValueExpression __width)` Width of pop-up.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### LogTag

          public LogTag()

  - ### Method Detail

    - #### setDir

          public void setDir(javax.el.ValueExpression __dir)

      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir
      Parameters:
        `dir` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Height of pop-up. Default value is "600". Setter for height
      Parameters:
        `height` - - new value

    - #### setHotkey

          public void setHotkey(javax.el.ValueExpression __hotkey)

      Keyboard key for activate ( in combination with CTRL+SHIFT ) log window. Default value is "L" Setter for hotkey
      Parameters:
        `hotkey` - - new value

    - #### setLang

          public void setLang(javax.el.ValueExpression __lang)

      Code describing the language used in the generated markup for this component Setter for lang
      Parameters:
        `lang` - - new value

    - #### setLevel

          public void setLevel(javax.el.ValueExpression __level)

      Log level. The possible values are "FATAL", "ERROR", "WARN", "INFO", "DEBUG", "ALL". Component sets level 'ALL' by default. Setter for level
      Parameters:
        `level` - - new value

    - #### setName

          public void setName(javax.el.ValueExpression __name)

      Name of pop-up window. Default value is "LogWindow" Setter for name
      Parameters:
        `name` - - new value

    - #### setOnclick

          public void setOnclick(javax.el.ValueExpression __onclick)

      The clientside script method to be called when the element is clicked Setter for onclick
      Parameters:
        `onclick` - - new value

    - #### setOndblclick

          public void setOndblclick(javax.el.ValueExpression __ondblclick)

      The client side script method to be called when the element is double-clicked Setter for ondblclick
      Parameters:
        `ondblclick` - - new value

    - #### setOnkeydown

          public void setOnkeydown(javax.el.ValueExpression __onkeydown)

      The client side script method to be called when a key is pressed down over the element Setter for onkeydown
      Parameters:
        `onkeydown` - - new value

    - #### setOnkeypress

          public void setOnkeypress(javax.el.ValueExpression __onkeypress)

      The client side script method to be called when a key is pressed over the element and released Setter for onkeypress
      Parameters:
        `onkeypress` - - new value

    - #### setOnkeyup

          public void setOnkeyup(javax.el.ValueExpression __onkeyup)

      The client side script method to be called when a key is released Setter for onkeyup
      Parameters:
        `onkeyup` - - new value

    - #### setOnmousedown

          public void setOnmousedown(javax.el.ValueExpression __onmousedown)

      The client side script method to be called when a mouse button is pressed down over the element Setter for onmousedown
      Parameters:
        `onmousedown` - - new value

    - #### setOnmousemove

          public void setOnmousemove(javax.el.ValueExpression __onmousemove)

      The client side script method to be called when a pointer is moved within the element Setter for onmousemove
      Parameters:
        `onmousemove` - - new value

    - #### setOnmouseout

          public void setOnmouseout(javax.el.ValueExpression __onmouseout)

      The client side script method to be called when a pointer is moved away from the element Setter for onmouseout
      Parameters:
        `onmouseout` - - new value

    - #### setOnmouseover

          public void setOnmouseover(javax.el.ValueExpression __onmouseover)

      The client side script method to be called when a pointer is moved onto the element Setter for onmouseover
      Parameters:
        `onmouseover` - - new value

    - #### setOnmouseup

          public void setOnmouseup(javax.el.ValueExpression __onmouseup)

      The client side script method to be called when a mouse button is released Setter for onmouseup
      Parameters:
        `onmouseup` - - new value

    - #### setPopup

          public void setPopup(javax.el.ValueExpression __popup)

      Renders log as pop-up window or as div element on the page. Default value is "true". Setter for popup
      Parameters:
        `popup` - - new value

    - #### setStyle

          public void setStyle(javax.el.ValueExpression __style)

      CSS style(s) is/are to be applied when this component is rendered Setter for style
      Parameters:
        `style` - - new value

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression __styleClass)

      Corresponds to the HTML class attribute Setter for styleClass
      Parameters:
        `styleClass` - - new value

    - #### setTitle

          public void setTitle(javax.el.ValueExpression __title)

      Advisory title information about markup elements generated for this component Setter for title
      Parameters:
        `title` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Width of pop-up. Default value is "800". Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.